package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 选择题答案管理对象 answer
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class Answer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 答案编号 */
    private Long answerId;

    /** 正确或错误，1为正确，2为错误 */
    @Excel(name = "正确或错误，1为正确，2为错误")
    private Long answerCorrect;

    /** 问题编号 */
    @Excel(name = "问题编号")
    private Long answerExaminationId;

    /** 答案 */
    @Excel(name = "答案")
    private String answerRed;

    /** 删除标识 */
    private Integer delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    public void setAnswerId(Long answerId) 
    {
        this.answerId = answerId;
    }

    public Long getAnswerId() 
    {
        return answerId;
    }
    public void setAnswerCorrect(Long answerCorrect) 
    {
        this.answerCorrect = answerCorrect;
    }

    public Long getAnswerCorrect() 
    {
        return answerCorrect;
    }
    public void setAnswerExaminationId(Long answerExaminationId) 
    {
        this.answerExaminationId = answerExaminationId;
    }

    public Long getAnswerExaminationId() 
    {
        return answerExaminationId;
    }
    public void setAnswerRed(String answerRed) 
    {
        this.answerRed = answerRed;
    }

    public String getAnswerRed() 
    {
        return answerRed;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("answerId", getAnswerId())
            .append("answerCorrect", getAnswerCorrect())
            .append("answerExaminationId", getAnswerExaminationId())
            .append("answerRed", getAnswerRed())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("reamk", getReamk())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
